Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezbug/admin/cron.php File Reference

Go to the source code of this file.

## Variables
| $ini = new eZINI( "site.ini", false )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $MailUser = $ini->variable( "eZBugMain", "MailAccount" )
| $MailPassword = $ini->variable( "eZBugMain", "MailPassword" )
| $MailServer = $ini->variable( "eZBugMain", "MailServer" )
| $MailServerPort = $ini->variable( "eZBugMain", "MailServerPort" )
| $MailReplyTo = $ini->variable( "eZBugMain", "MailReplyToAddress" )
| $mail_array = eZMailAccount::getNewMail( $MailUser, $MailPassword, $MailServer, $MailServerPort )
| $t

## Variable Documentation

## ◆ $ini

$ini = new eZINI( "site.ini", false )

Definition at line 33 of file ezbug/admin/cron.php.

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 35 of file ezbug/admin/cron.php.

## ◆ $mail_array

$mail_array = eZMailAccount::getNewMail( $MailUser, $MailPassword, $MailServer, $MailServerPort )

Definition at line 42 of file ezbug/admin/cron.php.

Referenced by eZMailFolder\deleteAll(), eZMail\get(), eZMailFilterRule\get(), eZBulkMail\get(), eZBulkMail\getAll(), eZMailFolder\mail(), and eZUserGroup\userEmails().

## ◆ $MailPassword

$MailPassword = $ini->variable( "eZBugMain", "MailPassword" )

Definition at line 37 of file ezbug/admin/cron.php.

## ◆ $MailReplyTo

$MailReplyTo = $ini->variable( "eZBugMain", "MailReplyToAddress" )

Definition at line 40 of file ezbug/admin/cron.php.

## ◆ $MailServer

$MailServer = $ini->variable( "eZBugMain", "MailServer" )

Definition at line 38 of file ezbug/admin/cron.php.

## ◆ $MailServerPort

$MailServerPort = $ini->variable( "eZBugMain", "MailServerPort" )

Definition at line 39 of file ezbug/admin/cron.php.

## ◆ $MailUser

$MailUser = $ini->variable( "eZBugMain", "MailAccount" )

Definition at line 36 of file ezbug/admin/cron.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
"kernel/ezbug/admin/intl", $Language, "confirmationmail.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezbug/admin/cron.php:35
$ini
$ini
Definition: ezbug/admin/cron.php:33

Definition at line 44 of file ezbug/admin/cron.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.